{% extends 'base.html' %}

{% block header %}
<h1>{% block title %}Post {{ post['title'] }}{% endblock %}</h1>
{% endblock %}
{% block styles %}
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/card.min.css">
{% endblock %}

{% block content %}
{% if post %}
<div class="ui card">
  <div class="content">
    <div class="right floated meta time">{{ post.created_at }}</div>
  </div>
  <div class="image">
    <div class="content">
      <p>By <em>{{ post.users.name.capitalize() }}</em></p>
      <p>{{ post.content }}</p>
    </div>
  </div>
  <div class="content">
    <span class="right floated">
      <a class="dis" data-id="{{ post['id'] }}">
        <i class="thumbs down icon dis" style="color:blue"></i> <span> {{ post['dislikes'] }} Dislikes </span>
      </a>
    </span>
    <a class="main" id="like" data-id="{{ post['id'] }}">
      <i class="like icon main" style="color:red"></i> <span> {{ post['likes'] }} Likes </span>
    </a>
  </div>
</div>
{% endif %}
{% endblock %}
